JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ operator>> [2/2]
std::istream& operator>> | ( | std::istream & | i,
|  | basic_json & | j
| ) |  |
| friend
  Deserializes an input stream to a JSON value. Parameters
  [in,out] | i | input stream to read a serialized JSON value from
  [in,out] | j | JSON value to write the deserialized input to
  Exceptions
  parse_error.101 | in case of an unexpected token
  parse_error.102 | if to_unicode fails or surrogate error
  parse_error.103 | if to_unicode fails
  Complexity Linear in the length of the input. The parser is a predictive LL(1) parser. Note A UTF-8 byte order mark is silently ignored. Example The example below shows how a JSON value is constructed by reading a serialization from a stream. 1 #include <iostream> 2 #include <iomanip> 3 #include <sstream> 4 #include <nlohmann/json.hpp> 5 6 using json = nlohmann::json; 7 8 int main() 9 { 10 // create stream with serialized JSON 11 std::stringstream ss; 12 ss << R"({ 13 "number": 23, 14 "string": "Hello, world!", 15 "array": [1, 2, 3, 4, 5], 16 "boolean": false, 17 "null": null 18 })"; 19 20 // create JSON value and read the serialization from the stream 21 json j; 22 ss >> j; 23 24 // serialize JSON 25 std::cout << std::setw(2) << j << '\n'; 26 } Output (play with this example online):
      {
        "array": [
          1,
          2,
          3,
          4,
          5
        ],
        "boolean": false,
        "null": null,
        "number": 23,
        "string": "Hello, world!"
      }
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/operator_deserialize.cpp -o operator_deserialize
See also parse(std::istream&, const parser_callback_t) for a variant with a parser callback function to filter values while parsing Since version 1.0.0 Definition at line 22644 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774